Subject: Re: [Int-area] FW: New Version Notification for draft-bonica-intarea-gre-mtu-04.txt

From: Dave Thaler <[email-masked]>
Date: Tue, 4 Mar 2014 13:37:15 +0000

I said this at the mic, but I'm not sure there's anything really GRE-specific here.
If you generalize it then my question is...

RFC 4213 has this algorithm as a "SHOULD employ":
>  if (IPv4 path MTU - 20) is less than 1280
>          if packet is larger than 1280 bytes
>                  Send ICMPv6 "packet too big" with MTU = 1280.
>                  Drop packet.
>          else
>                  Encapsulate but do not set the Don't Fragment
>                  flag in the IPv4 header.  The resulting IPv4
>                  packet might be fragmented by the IPv4 layer
>                  on the encapsulator or by some router along
>                  the IPv4 path.
>          endif
>  else
>          if packet is larger than (IPv4 path MTU - 20)
>                  Send ICMPv6 "packet too big" with
>                  MTU = (IPv4 path MTU - 20).
>                  Drop packet.
>          else
>                  Encapsulate and set the Don't Fragment flag
>                  in the IPv4 header.
>          endif
>  endif

How/why is the Default Strategy in section 2.2 of this doc
different from the RFC recommended algorithm above?

-Dave

---

From: Joe Touch <[email-masked]>
Date: Tue, 04 Mar 2014 16:13:45 -0800

> I said this at the mic, but I'm not sure there's anything really GRE-specific here.

IMO, there's a lot that is - and that is (or ought to be) the focus of 
this doc.

General recommendations for how to handle IP over X tunnels should be in 
draft-ietf-intarea-tunnels, which Mark and I have been wanting to 
revive. It was fallow for lack of WG activity, but since there's 
interest, we should proceed with it as the venue for more general 
recommendations.

Joe